Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch
Class PinchStartEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<PinchStartHandler,TouchStartEvent>
                      com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch.PinchStartEvent

    public class PinchStartEvent

extends SyntheticTouchGestureEvent<PinchStartHandler,TouchStartEvent>

Represents a pinch start event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`PinchStartEvent(TouchStartEvent evt, PointView firstFingerLocation, PointView secondFingerLocation)` Creates a new `PinchStartEvent` from the specified source `TouchStartEvent` and the specified finger locations.

Method Summary
`protected void` | `dispatch(PinchStartHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<PinchStartHandler>` | `getAssociatedType()` Returns the event type associated with pinch start events.
`PointView` | `getFirstFingerLocation()` Returns the location of the first finger, in the target element's coordinate system.
`PointView` | `getSecondFingerLocation()` Returns the location of the second finger, in the target element's coordinate system.
`static GwtEvent.Type<PinchStartHandler>` | `getType()` Returns the event type associated with pinch start events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PinchStartEvent

    public PinchStartEvent(TouchStartEvent evt,
                           PointView firstFingerLocation,
                           PointView secondFingerLocation)

  Creates a new `PinchStartEvent` from the specified source `TouchStartEvent` and the specified finger locations.

  Parameters:
    `evt` - The touch start event that triggered this event.
    `firstFingerLocation` - The location of the first finger, in the target element's coordinate system.
    `secondFingerLocation` - The location of the second finger, in the target element's coordinate system.

Method Detail

### getFirstFingerLocation

    public PointView getFirstFingerLocation()

  Returns the location of the first finger, in the target element's coordinate system.

### getSecondFingerLocation

    public PointView getSecondFingerLocation()

  Returns the location of the second finger, in the target element's coordinate system.

### getType

    public static GwtEvent.Type<PinchStartHandler> getType()

  Returns the event type associated with pinch start events.

### getAssociatedType

    public GwtEvent.Type<PinchStartHandler> getAssociatedType()

  Returns the event type associated with pinch start events.

  Overrides:
    `getAssociatedType` in class `GwtEvent<PinchStartHandler>`

### dispatch

    protected void dispatch(PinchStartHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<PinchStartHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD